%define upstream_name    Contextual-Return
%define upstream_version 0.004014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Utility module for Contextual::Return
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Contextual/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Want)
BuildRequires: perl(version)
BuildArch:  noarch

%{?perl_default_filter}

%description
Usually, when you need to create a subroutine that returns different values
in different contexts (list, scalar, or void), you write something like:

    sub get_server_status {
        my ($server_ID) = @_;

        # Acquire server data somehow...
        my %server_data = _ascertain_server_status($server_ID);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.4.14-5.mga10
+ Revision: 2203532
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.4.14-4.mga9
+ Revision: 1808577
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.14-3.mga8
+ Revision: 1503598
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.14-2.mga7
+ Revision: 1282484
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.4.14-1.mga7
+ Revision: 1132974
- update to 0.004014

* Sat Jun 18 2016 pterjan <pterjan> 0.4.8-3.mga6
+ Revision: 1024327
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4.8-2.mga6
+ Revision: 969988
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.4.8-1.mga6
+ Revision: 884457
- update to 0.004008

* Sun Oct 19 2014 umeabot <umeabot> 0.4.7-7.mga5
+ Revision: 790020
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.7-6.mga5
+ Revision: 741769
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.4.7-5.mga5
+ Revision: 732960
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.4.7-4.mga5
+ Revision: 684008
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.7-3.mga4
+ Revision: 510287
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.7-2.mga3
+ Revision: 364738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.4.7-1.mga3
+ Revision: 314868
- update to 0.004007

* Fri Oct 05 2012 jquelin <jquelin> 0.4.5-1.mga3
+ Revision: 302899
- imported package perl-Contextual-Return


* Fri Oct 05 2012 cpan2dist 0.004005-1mga
- initial mageia release, generated with cpan2dist
